読者です 読者をやめる 読者になる 読者になる

Xcode4.2からXcode4.3へアップグレードする

環境
OSX(10.7.2)

brew doctorしたところ、"Xcodeのバージョンが古い。Xcode4.3にアップデートせよ"とのアラートが出たので、アップデートしました。

1. Xcode4.3とCommand Line ToolsのインストーラーをDL
Xcode 4.3.1 for Lion.dmgとCommand Line Tools for Xcode.dmgをからダウンロードしてきます。
Xcode4.3からコマンドラインツールとXcodeが分離したので、brewを使う場合はコマンドラインツールが必須になります。

2. Install Xcode.appの削除
Xcode4.2のインストーラーが残っているので、削除します。

$ sudo rm -rf /Applications/Install\ Xcode.app/


3. Xcode_4.3.1_for_lion.dmgとcommand_line_tools_for_xcode.dmgをマウント・展開
先程ダウンロードしたdmgをダブルクリックして、ウィザードにそってインストールする。